### Hierarchy

- unknown
  - IsMoneroNodeOnlineRequest

## Index

### Constructors

- constructor

### Methods

- serializeBinary
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new IsMoneroNodeOnlineRequest(): IsMoneroNodeOnlineRequest

- Inherited from jspb.Message.constructor

  #### Returns IsMoneroNodeOnlineRequest

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:1182

  #### Returns Uint8Array

### toObject

- toObject(includeInstance?: boolean): IsMoneroNodeOnlineRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1183

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns IsMoneroNodeOnlineRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): IsMoneroNodeOnlineRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1186

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns IsMoneroNodeOnlineRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: IsMoneroNodeOnlineRequest, reader: BinaryReader): IsMoneroNodeOnlineRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1187

  #### Parameters

  - ##### message: IsMoneroNodeOnlineRequest

  - ##### reader: BinaryReader

  #### Returns IsMoneroNodeOnlineRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: IsMoneroNodeOnlineRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:1185

  #### Parameters

  - ##### message: IsMoneroNodeOnlineRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: IsMoneroNodeOnlineRequest ): IsMoneroNodeOnlineRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1184

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: IsMoneroNodeOnlineRequest

  #### Returns IsMoneroNodeOnlineRequest . AsObject

Generated using TypeDoc